aboutsummaryrefslogtreecommitdiffstats
path: root/editors
diff options
context:
space:
mode:
authormbr <mbr@FreeBSD.org>2002-05-29 22:21:09 +0800
committermbr <mbr@FreeBSD.org>2002-05-29 22:21:09 +0800
commite0c5b9b6b34c948ff09c46e02f1650320f2de0b0 (patch)
tree02eb11102897052c6d5a96889d886045bf5cd6fa /editors
parent1c149a2c40de49545c9468a9533478e5c5bdcda0 (diff)
downloadfreebsd-ports-graphics-e0c5b9b6b34c948ff09c46e02f1650320f2de0b0.tar.gz
freebsd-ports-graphics-e0c5b9b6b34c948ff09c46e02f1650320f2de0b0.tar.zst
freebsd-ports-graphics-e0c5b9b6b34c948ff09c46e02f1650320f2de0b0.zip
Add script to generate the needed mozilla dist tarfiles.
Diffstat (limited to 'editors')
-rw-r--r--editors/openoffice-1.0/files/zipmoz.sh137
-rw-r--r--editors/openoffice.org-1.0/files/zipmoz.sh137
-rw-r--r--editors/openoffice/files/zipmoz.sh137
3 files changed, 411 insertions, 0 deletions
diff --git a/editors/openoffice-1.0/files/zipmoz.sh b/editors/openoffice-1.0/files/zipmoz.sh
new file mode 100644
index 00000000000..8bbdd7caff2
--- /dev/null
+++ b/editors/openoffice-1.0/files/zipmoz.sh
@@ -0,0 +1,137 @@
+#!/bin/sh -f
+
+RUNTIME_FILES="components/libabsyncsvc.so components/libaddrbook.so components/libmork.so components/libmozldap.so \
+ components/libnecko.so components/libprofile.so components/librdf.so components/libstrres.so \
+ components/libunicharutil.so components/libuconv.so components/libucvcn.so components/libucvibm.so \
+ components/libucvja.so components/libucvko.so \
+ components/libucvlatin.so components/libucvtw.so components/libucvtw2.so components/liburiloader.so \
+ components/libvcard.so components/libxpconnect.so components/libpref.so libmozjs.so libmsgbaseutil.so \
+ libldap50.so libnspr4.so libplc4.so libplds4.so libxpcom.so libmozz.so component.reg"
+
+LIB_FILES="lib/libembed_base_s.a lib/libmozreg_s.a lib/libnspr4.so lib/libxpcom.so"
+
+INC_FILES="include/"
+INC_FILES2="public/"
+
+if [ $# -lt 2 -o $# -gt 3 ] ; then
+ echo
+ echo usage: $0 mozilla_dist target [target_dir]
+ echo
+ echo where
+ echo "\tmozilla_dist\tpoints to the mozilla distribution"
+ echo "\ttarget\t\tconcatenates OS, compiler and CPU (e.g. WNTMSCI, IRIXGCCM etc)"
+ echo "\ttarget_dir\tis the directory to place the zips"
+ exit 1
+fi
+
+MOZ_DIST=$1
+TARGET=$2
+if [ "w$3" != "w" ]; then
+ TARGET_DIR=$3
+else
+ if [ "w$TARGET_DIR" == "w" ]; then
+ TARGET_DIR=
+ fi
+fi
+
+ZIP_TARGET=$TARGET_DIR
+if [ -z "$ZIP_TARGET" ] ; then
+ ZIP_TARGET=../
+fi
+
+# just to remember the current working directory
+STARTING_DIR=`pwd`
+
+echo
+echo --- creating zips for $TARGET, using mozilla distribution in $MOZ_DIST
+
+# Create the directories
+[ ! -d $TARGET_DIR/$TARGET/runtime ] && mkdir -p $TARGET_DIR/$TARGET/runtime
+[ ! -d $TARGET_DIR/$TARGET/runtime/components ] && mkdir -p $TARGET_DIR/$TARGET/runtime/components
+[ ! -d $TARGET_DIR/$TARGET/lib ] && mkdir -p $TARGET_DIR/$TARGET/lib
+[ ! -d $TARGET_DIR/$TARGET/inc ] && mkdir -p $TARGET_DIR/$TARGET/inc
+[ ! -d $TARGET_DIR/$TARGET/inc/mozilla ] && mkdir -p $TARGET_DIR/$TARGET/inc/mozilla
+[ ! -d $TARGET_DIR/$TARGET/inc/mozilla/nspr ] && mkdir -p $TARGET_DIR/$TARGET/inc/mozilla/nspr
+
+# Copy the files
+echo
+echo --- copying files
+echo
+
+for i in $RUNTIME_FILES; do
+ if [ ! -f $MOZ_DIST/bin/$i ]; then
+ echo $MOZ_DIST/bin/$i does not exist, check your distribution
+ else
+ if [ `echo $i | grep component` ]; then
+ cp $MOZ_DIST/bin/$i $TARGET_DIR/$TARGET/runtime/components/
+ else
+ cp $MOZ_DIST/bin/$i $TARGET_DIR/$TARGET/runtime/
+ fi
+ fi
+done
+
+for i in $LIB_FILES; do
+ if [ ! -f $MOZ_DIST/$i ]; then
+ echo $MOZ_DIST/$i does not exist, check your distribution
+ else
+ cp $MOZ_DIST/$i $TARGET_DIR/$TARGET/lib/
+ fi
+done
+
+for i in `ls -1 $MOZ_DIST/$INC_FILES`; do
+ if [ ! -d $i ]; then
+ cp -r $MOZ_DIST/include/$i $TARGET_DIR/$TARGET/inc/mozilla
+ fi
+done
+
+for i in `ls -1 $MOZ_DIST/$INC_FILES2`; do
+ if [ ! -d $i ]; then
+ cp -R $MOZ_DIST/public/$i $TARGET_DIR/$TARGET/inc/mozilla
+ fi
+done
+
+for i in `ls -1 $MOZ_DIST/$INC_FILES/nspr`; do
+ if [ ! -d $i ]; then
+ cp -R $MOZ_DIST/include/nspr/$i $TARGET_DIR/$TARGET/inc/mozilla/nspr
+ fi
+done
+
+# delete old zips
+
+[ -f $TARGET_DIR/$TARGET/runtime.zip ] && rm -f $TARGET_DIR/$TARGET/runtime.zip
+[ -f $TARGET_DIR/$TARGET/lib.zip ] && rm -f $TARGET_DIR/$TARGET/lib.zip
+[ -f $TARGET_DIR/$TARGET/inc.zip ] && rm -f $TARGET_DIR/$TARGET/inc.zip
+
+# zip the runtime files
+
+echo
+echo --- creating ${TARGET}runtime.zip
+echo
+
+cd $TARGET_DIR/$TARGET/runtime
+find . -type f | zip $ZIP_TARGET/${TARGET}runtime.zip -@
+
+# zip the lib files
+echo
+echo --- creating ${TARGET}lib.zip
+echo
+
+cd $TARGET_DIR/$TARGET/lib
+find . -type f | zip $ZIP_TARGET/${TARGET}lib.zip -@
+
+# zip the inc files
+echo
+echo --- creating ${TARGET}inc.zip
+echo
+
+cd $TARGET_DIR/$TARGET/inc
+find . -type f | zip $ZIP_TARGET/${TARGET}inc.zip -@
+
+# remove dirs
+cd $STARTING_DIR
+rm -rf $TARGET_DIR/$TARGET
+
+echo
+echo --- done
+echo
+
diff --git a/editors/openoffice.org-1.0/files/zipmoz.sh b/editors/openoffice.org-1.0/files/zipmoz.sh
new file mode 100644
index 00000000000..8bbdd7caff2
--- /dev/null
+++ b/editors/openoffice.org-1.0/files/zipmoz.sh
@@ -0,0 +1,137 @@
+#!/bin/sh -f
+
+RUNTIME_FILES="components/libabsyncsvc.so components/libaddrbook.so components/libmork.so components/libmozldap.so \
+ components/libnecko.so components/libprofile.so components/librdf.so components/libstrres.so \
+ components/libunicharutil.so components/libuconv.so components/libucvcn.so components/libucvibm.so \
+ components/libucvja.so components/libucvko.so \
+ components/libucvlatin.so components/libucvtw.so components/libucvtw2.so components/liburiloader.so \
+ components/libvcard.so components/libxpconnect.so components/libpref.so libmozjs.so libmsgbaseutil.so \
+ libldap50.so libnspr4.so libplc4.so libplds4.so libxpcom.so libmozz.so component.reg"
+
+LIB_FILES="lib/libembed_base_s.a lib/libmozreg_s.a lib/libnspr4.so lib/libxpcom.so"
+
+INC_FILES="include/"
+INC_FILES2="public/"
+
+if [ $# -lt 2 -o $# -gt 3 ] ; then
+ echo
+ echo usage: $0 mozilla_dist target [target_dir]
+ echo
+ echo where
+ echo "\tmozilla_dist\tpoints to the mozilla distribution"
+ echo "\ttarget\t\tconcatenates OS, compiler and CPU (e.g. WNTMSCI, IRIXGCCM etc)"
+ echo "\ttarget_dir\tis the directory to place the zips"
+ exit 1
+fi
+
+MOZ_DIST=$1
+TARGET=$2
+if [ "w$3" != "w" ]; then
+ TARGET_DIR=$3
+else
+ if [ "w$TARGET_DIR" == "w" ]; then
+ TARGET_DIR=
+ fi
+fi
+
+ZIP_TARGET=$TARGET_DIR
+if [ -z "$ZIP_TARGET" ] ; then
+ ZIP_TARGET=../
+fi
+
+# just to remember the current working directory
+STARTING_DIR=`pwd`
+
+echo
+echo --- creating zips for $TARGET, using mozilla distribution in $MOZ_DIST
+
+# Create the directories
+[ ! -d $TARGET_DIR/$TARGET/runtime ] && mkdir -p $TARGET_DIR/$TARGET/runtime
+[ ! -d $TARGET_DIR/$TARGET/runtime/components ] && mkdir -p $TARGET_DIR/$TARGET/runtime/components
+[ ! -d $TARGET_DIR/$TARGET/lib ] && mkdir -p $TARGET_DIR/$TARGET/lib
+[ ! -d $TARGET_DIR/$TARGET/inc ] && mkdir -p $TARGET_DIR/$TARGET/inc
+[ ! -d $TARGET_DIR/$TARGET/inc/mozilla ] && mkdir -p $TARGET_DIR/$TARGET/inc/mozilla
+[ ! -d $TARGET_DIR/$TARGET/inc/mozilla/nspr ] && mkdir -p $TARGET_DIR/$TARGET/inc/mozilla/nspr
+
+# Copy the files
+echo
+echo --- copying files
+echo
+
+for i in $RUNTIME_FILES; do
+ if [ ! -f $MOZ_DIST/bin/$i ]; then
+ echo $MOZ_DIST/bin/$i does not exist, check your distribution
+ else
+ if [ `echo $i | grep component` ]; then
+ cp $MOZ_DIST/bin/$i $TARGET_DIR/$TARGET/runtime/components/
+ else
+ cp $MOZ_DIST/bin/$i $TARGET_DIR/$TARGET/runtime/
+ fi
+ fi
+done
+
+for i in $LIB_FILES; do
+ if [ ! -f $MOZ_DIST/$i ]; then
+ echo $MOZ_DIST/$i does not exist, check your distribution
+ else
+ cp $MOZ_DIST/$i $TARGET_DIR/$TARGET/lib/
+ fi
+done
+
+for i in `ls -1 $MOZ_DIST/$INC_FILES`; do
+ if [ ! -d $i ]; then
+ cp -r $MOZ_DIST/include/$i $TARGET_DIR/$TARGET/inc/mozilla
+ fi
+done
+
+for i in `ls -1 $MOZ_DIST/$INC_FILES2`; do
+ if [ ! -d $i ]; then
+ cp -R $MOZ_DIST/public/$i $TARGET_DIR/$TARGET/inc/mozilla
+ fi
+done
+
+for i in `ls -1 $MOZ_DIST/$INC_FILES/nspr`; do
+ if [ ! -d $i ]; then
+ cp -R $MOZ_DIST/include/nspr/$i $TARGET_DIR/$TARGET/inc/mozilla/nspr
+ fi
+done
+
+# delete old zips
+
+[ -f $TARGET_DIR/$TARGET/runtime.zip ] && rm -f $TARGET_DIR/$TARGET/runtime.zip
+[ -f $TARGET_DIR/$TARGET/lib.zip ] && rm -f $TARGET_DIR/$TARGET/lib.zip
+[ -f $TARGET_DIR/$TARGET/inc.zip ] && rm -f $TARGET_DIR/$TARGET/inc.zip
+
+# zip the runtime files
+
+echo
+echo --- creating ${TARGET}runtime.zip
+echo
+
+cd $TARGET_DIR/$TARGET/runtime
+find . -type f | zip $ZIP_TARGET/${TARGET}runtime.zip -@
+
+# zip the lib files
+echo
+echo --- creating ${TARGET}lib.zip
+echo
+
+cd $TARGET_DIR/$TARGET/lib
+find . -type f | zip $ZIP_TARGET/${TARGET}lib.zip -@
+
+# zip the inc files
+echo
+echo --- creating ${TARGET}inc.zip
+echo
+
+cd $TARGET_DIR/$TARGET/inc
+find . -type f | zip $ZIP_TARGET/${TARGET}inc.zip -@
+
+# remove dirs
+cd $STARTING_DIR
+rm -rf $TARGET_DIR/$TARGET
+
+echo
+echo --- done
+echo
+
diff --git a/editors/openoffice/files/zipmoz.sh b/editors/openoffice/files/zipmoz.sh
new file mode 100644
index 00000000000..8bbdd7caff2
--- /dev/null
+++ b/editors/openoffice/files/zipmoz.sh
@@ -0,0 +1,137 @@
+#!/bin/sh -f
+
+RUNTIME_FILES="components/libabsyncsvc.so components/libaddrbook.so components/libmork.so components/libmozldap.so \
+ components/libnecko.so components/libprofile.so components/librdf.so components/libstrres.so \
+ components/libunicharutil.so components/libuconv.so components/libucvcn.so components/libucvibm.so \
+ components/libucvja.so components/libucvko.so \
+ components/libucvlatin.so components/libucvtw.so components/libucvtw2.so components/liburiloader.so \
+ components/libvcard.so components/libxpconnect.so components/libpref.so libmozjs.so libmsgbaseutil.so \
+ libldap50.so libnspr4.so libplc4.so libplds4.so libxpcom.so libmozz.so component.reg"
+
+LIB_FILES="lib/libembed_base_s.a lib/libmozreg_s.a lib/libnspr4.so lib/libxpcom.so"
+
+INC_FILES="include/"
+INC_FILES2="public/"
+
+if [ $# -lt 2 -o $# -gt 3 ] ; then
+ echo
+ echo usage: $0 mozilla_dist target [target_dir]
+ echo
+ echo where
+ echo "\tmozilla_dist\tpoints to the mozilla distribution"
+ echo "\ttarget\t\tconcatenates OS, compiler and CPU (e.g. WNTMSCI, IRIXGCCM etc)"
+ echo "\ttarget_dir\tis the directory to place the zips"
+ exit 1
+fi
+
+MOZ_DIST=$1
+TARGET=$2
+if [ "w$3" != "w" ]; then
+ TARGET_DIR=$3
+else
+ if [ "w$TARGET_DIR" == "w" ]; then
+ TARGET_DIR=
+ fi
+fi
+
+ZIP_TARGET=$TARGET_DIR
+if [ -z "$ZIP_TARGET" ] ; then
+ ZIP_TARGET=../
+fi
+
+# just to remember the current working directory
+STARTING_DIR=`pwd`
+
+echo
+echo --- creating zips for $TARGET, using mozilla distribution in $MOZ_DIST
+
+# Create the directories
+[ ! -d $TARGET_DIR/$TARGET/runtime ] && mkdir -p $TARGET_DIR/$TARGET/runtime
+[ ! -d $TARGET_DIR/$TARGET/runtime/components ] && mkdir -p $TARGET_DIR/$TARGET/runtime/components
+[ ! -d $TARGET_DIR/$TARGET/lib ] && mkdir -p $TARGET_DIR/$TARGET/lib
+[ ! -d $TARGET_DIR/$TARGET/inc ] && mkdir -p $TARGET_DIR/$TARGET/inc
+[ ! -d $TARGET_DIR/$TARGET/inc/mozilla ] && mkdir -p $TARGET_DIR/$TARGET/inc/mozilla
+[ ! -d $TARGET_DIR/$TARGET/inc/mozilla/nspr ] && mkdir -p $TARGET_DIR/$TARGET/inc/mozilla/nspr
+
+# Copy the files
+echo
+echo --- copying files
+echo
+
+for i in $RUNTIME_FILES; do
+ if [ ! -f $MOZ_DIST/bin/$i ]; then
+ echo $MOZ_DIST/bin/$i does not exist, check your distribution
+ else
+ if [ `echo $i | grep component` ]; then
+ cp $MOZ_DIST/bin/$i $TARGET_DIR/$TARGET/runtime/components/
+ else
+ cp $MOZ_DIST/bin/$i $TARGET_DIR/$TARGET/runtime/
+ fi
+ fi
+done
+
+for i in $LIB_FILES; do
+ if [ ! -f $MOZ_DIST/$i ]; then
+ echo $MOZ_DIST/$i does not exist, check your distribution
+ else
+ cp $MOZ_DIST/$i $TARGET_DIR/$TARGET/lib/
+ fi
+done
+
+for i in `ls -1 $MOZ_DIST/$INC_FILES`; do
+ if [ ! -d $i ]; then
+ cp -r $MOZ_DIST/include/$i $TARGET_DIR/$TARGET/inc/mozilla
+ fi
+done
+
+for i in `ls -1 $MOZ_DIST/$INC_FILES2`; do
+ if [ ! -d $i ]; then
+ cp -R $MOZ_DIST/public/$i $TARGET_DIR/$TARGET/inc/mozilla
+ fi
+done
+
+for i in `ls -1 $MOZ_DIST/$INC_FILES/nspr`; do
+ if [ ! -d $i ]; then
+ cp -R $MOZ_DIST/include/nspr/$i $TARGET_DIR/$TARGET/inc/mozilla/nspr
+ fi
+done
+
+# delete old zips
+
+[ -f $TARGET_DIR/$TARGET/runtime.zip ] && rm -f $TARGET_DIR/$TARGET/runtime.zip
+[ -f $TARGET_DIR/$TARGET/lib.zip ] && rm -f $TARGET_DIR/$TARGET/lib.zip
+[ -f $TARGET_DIR/$TARGET/inc.zip ] && rm -f $TARGET_DIR/$TARGET/inc.zip
+
+# zip the runtime files
+
+echo
+echo --- creating ${TARGET}runtime.zip
+echo
+
+cd $TARGET_DIR/$TARGET/runtime
+find . -type f | zip $ZIP_TARGET/${TARGET}runtime.zip -@
+
+# zip the lib files
+echo
+echo --- creating ${TARGET}lib.zip
+echo
+
+cd $TARGET_DIR/$TARGET/lib
+find . -type f | zip $ZIP_TARGET/${TARGET}lib.zip -@
+
+# zip the inc files
+echo
+echo --- creating ${TARGET}inc.zip
+echo
+
+cd $TARGET_DIR/$TARGET/inc
+find . -type f | zip $ZIP_TARGET/${TARGET}inc.zip -@
+
+# remove dirs
+cd $STARTING_DIR
+rm -rf $TARGET_DIR/$TARGET
+
+echo
+echo --- done
+echo
+